Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is idle

From: Juri Linkov <[email-masked]>
Date: Sun, 05 Dec 2021 23:29:53 +0200

>> +** The return value of 'clear-message-function' will change in later releases.
>> +When it will return a non-nil, the echo area won't be cleared.
>
> I think I opined that we probably shouldn't introduce any semantics for
> these functions here, because it might break people's code in subtle
> ways.
>
> So if we want this, we should probably introduce a new facility of some
> kind (and perhaps obsolete the old one), to have an orderly transition.

Maybe, add a new function 'clear-message-function-2',
then in the next release delete 'clear-message-function',
and after the next release rename 'clear-message-function-2' to
'clear-message-function'.  Sorry, couldn't resist, this is not serious 🤭

But really it's not worth the trouble.  I counted 60 incompatible
Lisp changes in Emacs 28.1.  And if we will make this change now,
the authors will have enough time to adapt their code
(though I can't find any use of this new variable anywhere).